using System;

namespace OptixServe.Api.Configuration;

public static class ConfigurationHelper
{
    public static IConfigurationBuilder CreateDefaultBuilder()
    {
        var aspEnv = Environment.GetEnvironmentVariable("ASPNETCORE_ENVIRONMENT");
        var netEnv = Environment.GetEnvironmentVariable("DOTNET_ENVIRONMENT");
        // Console.WriteLine($"ASPNETCORE_ENVIRONMENT: {aspEnv}, DOTNET_ENVIRONMENT: {netEnv}");
        var env = aspEnv ?? netEnv ?? null;

        var builder = new ConfigurationBuilder()
            .SetBasePath(Directory.GetCurrentDirectory())
            .AddJsonFile("appsettings.json", optional: true)
            .AddJsonFile("config.json", optional: true);
        
        if (env != null)
        {
            builder.AddJsonFile($"appsettings.{env}.json", optional: true)
                .AddJsonFile($"config.{env}.json", optional: true);
        }

        return builder;
    }
}