using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;
using OptixServe.Api.Configuration;
using OptixServe.Core.Data;

namespace OptixServe.Api.Utilites;

public class DesignTimeDbContextFactory : IDesignTimeDbContextFactory<AppDbContext>
{
    public AppDbContext CreateDbContext(string[] args)
    {
        var configuration = ConfigurationHelper.CreateDefaultBuilder().Build();

        var dbSettings = configuration.GetSection("OptixServe:Database").Get<DatabaseSettings>()!;
        var optionsBuilder = new DbContextOptionsBuilder<AppDbContext>();
        DatabaseHelper.ConfigureDbContext(optionsBuilder, dbSettings);

        return new AppDbContext(optionsBuilder.Options);
    }
}