using Microsoft.EntityFrameworkCore;
using OptixServe.Core.Models;

namespace OptixServe.Core.Data;

public class AppDbContext(DbContextOptions options) : DbContext(options)
{
    public DbSet<User> Users { get; set; } = null!;

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<User>(user =>
        {
            user.HasKey(u => u.Id);
        });

        modelBuilder.Entity<User>().HasData([
            new() {Id = "1", UserName = "admin", Password = "admin12345"}
        ]);
    }
}